Get a single Crm Vehicle by its id
curl --request GET \
--url https://commerce.driv.ly/api/crmVehicles/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/crmVehicles/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/crmVehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "<string>",
"createdAt": "<string>",
"vin": "<string>",
"search": [
123
],
"favorite": [
123
],
"exteriorColor": "<string>",
"status": "Needs Review",
"reason": [
"Wrong Color"
],
"notes": "<string>",
"salesPrice": "<string>",
"year": 123,
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"bodyStyle": "<string>",
"mileage": 123,
"condition": 123,
"newOrUsed": "<string>",
"auction": "<string>",
"auctionDate": "<string>",
"laneAndRun": "<string>",
"pickupZip": "<string>",
"estimatedTransportFee": "<string>",
"adjMmr": "<string>",
"minBid": "<string>",
"buyNow": "<string>",
"retailPrice": "<string>",
"tmvUsedRetailTotalWithOptions": "<string>",
"kbbRetailBook": "<string>",
"bbTotalRetail": "<string>",
"wholesaleVdp": "<string>",
"retailVdp": "<string>",
"conditionReport": "<string>",
"updateRequested": "<string>",
"createdBy": 123,
"lastModifiedBy": 123,
"vdpEmails": [
123
],
"likes": "<string>",
"dislikes": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}CRM Vehicles
Get a single Crm Vehicle by its id
Get a single Crm Vehicle by its id
GET
/
crmVehicles
/
{id}
Get a single Crm Vehicle by its id
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { crmVehicles } from '@drivly/commerce'
const sdk = new SDK(...)
const crmVehicles = await sdk.crmVehicles.findOne(crmVehiclesId: string): Promise<crmVehicles>
Authorizations
Path Parameters
id of the Crm Vehicle
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
Response
ok
Available options:
Needs Review, Exclude, To Send to Customer, Sent to Customer, Watching Price, Customer Approved Available options:
Wrong Color, Wrong Trim, Out of price range, Sold at Auction, Salvage Title, Damage on the Carfax, Old, Condition Report, Mileage, Test, Manual transmission, Features, Waiting for Lower Price, Duplicate, MECHANICAL AND DIAGNOSTIC CODES, Previous Canadian, No Pictures